/*
	Inserts a new record into the custom property table
*/
CREATE PROCEDURE cpdbex_insCustomProperty
(
	@ID							uniqueidentifier,
	@assetType			varchar(15),
	@assetID				uniqueidentifier,
	@propertyKey		varchar(250),
	@propertyValue	varchar(8000) = null
)
AS

INSERT INTO cpdbex_CustomProperty
	(ID, AssetType, AssetID, PropertyKey, PropertyValue)
	VALUES
	(@ID, @assetType, @assetID, @propertyKey, @propertyValue)

GO