<%@ Register TagPrefix="iewc" Namespace="Microsoft.Web.UI.WebControls" Assembly="Microsoft.Web.UI.WebControls" %>
<%@ Page language="c#" Codebehind="Default.aspx.cs" EnableViewState="False" AutoEventWireup="false" Inherits="IIS_CmsExtensionAdmin._Default" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<HTML>
	<HEAD>
		<title>CustomPropertyDbEx Manager</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="master.css" rel="stylesheet">
		<script language="javascript">
			function LoadProperties(guid){
				document.all.PropertyActionPanel.src = "PropertyActionPanel.aspx?cid=" +guid;
				document.all.CmsObjectPropertyPanel.src = "PropertyDetail.aspx?cid=" +guid;
				document.all.FooterPanel.src = "Footer.aspx?id=" +guid;
			}
		</script>
	</HEAD>
	<body>
		<form id="DefaultForm" method="post" runat="server">
			<asp:textbox id="SelectedGuid" runat="server" visible="False"></asp:textbox>
			<table id="MasterContainer" cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td id="AppHeader" colspan="2">
						<table cellspacing="0" cellpadding="0" width="100%" border="0">
							<TR>
								<td id="AppHeader">CustomPropertyDbEx Manager</td>
								<td valign="bottom" align="right"><strong><EM>Current Publishing Mode:</EM></strong>
									<asp:dropdownlist id="PublishingModeDropDownList" runat="server" autopostback="True" name="PublishingModeDropDownList">
										<asp:ListItem value="Published" selected="True">Published</asp:ListItem>
										<asp:ListItem value="Staging">Staging</asp:ListItem>
										<asp:ListItem value="Unpublished">Unpublished</asp:ListItem>
										<asp:ListItem value="Update">Update</asp:ListItem>
									</asp:dropdownlist></td>
							</TR>
						</table>
					</td>
				</tr>
				<tr>
					<td width="35%">
						<div class="tabstrip"><iewc:tabstrip id="CmsTypeTabStrip" runat="server" autopostback="True" tabselectedstyle="background-color:White; color:#000000; border-bottom:0px;"
								tabhoverstyle="background-color:#003366; color:White;" tabdefaultstyle="background-color:#7589A0; font-family:verdana; font-weight:bold; font-size:8pt; color:WhiteSmoke; width:100; height:28; text-align:center; border-width:2px; border-color:Navy; border-style:solid; border-bottom:background-color:#7589A0; font-family:verdana; font-weight:bold; font-size:8pt; color:WhiteSmoke; width:100; height:28; text-align:center; border-width:2px; border-color:Navy; border-style:solid; border-bottom:1px navy solid;"
								selectedindex="-1">
								<iewc:TabSeparator></iewc:TabSeparator>
								<iewc:Tab text="Channels &amp; Postings"></iewc:Tab>
								<iewc:TabSeparator></iewc:TabSeparator>
								<iewc:Tab text="Templates"></iewc:Tab>
								<iewc:TabSeparator></iewc:TabSeparator>
								<iewc:Tab text="Resources"></iewc:Tab>
							</iewc:tabstrip></div>
						<iframe id="CmsAssetBrowser" frameborder="no" runat="server"></iframe>
					</td>
					<td>
						<table height="100%" cellspacing="0" cellpadding="0" width="100%" border="0">
							<tr valign="top">
								<td>
									<div class="tabstrip"><iewc:tabstrip id="EditorTabStrip" runat="server" autopostback="False" tabselectedstyle="background-color:WhiteSmoke; color:#000000; border-bottom:0px;"
											tabhoverstyle="background-color:#003366; color:White;" tabdefaultstyle="background-color:#7589A0; font-family:verdana; font-weight:bold; font-size:8pt; color:WhiteSmoke; width:100; height:28; text-align:center; border-width:2px; border-color:Navy; border-style:solid; border-bottom:background-color:#7589A0; font-family:verdana; font-weight:bold; font-size:8pt; color:WhiteSmoke; width:150; height:28; text-align:center; border-width:2px; border-color:Navy; border-style:solid; border-bottom:1px navy solid;"
											selectedindex="-1" targetid="RightPanelMultiPage">
											<iewc:TabSeparator></iewc:TabSeparator>
											<iewc:Tab text="Property Editor"></iewc:Tab>
											<iewc:TabSeparator></iewc:TabSeparator>
											<iewc:Tab text="Property Importer/Exporter"></iewc:Tab>
											<iewc:TabSeparator></iewc:TabSeparator>
											<iewc:Tab text="Template Viewer"></iewc:Tab>
										</iewc:tabstrip></div>
									<iewc:multipage id="RightPanelMultiPage" runat="server">
										<iewc:PageView>
											<iframe id="CmsObjectPropertyPanel" src="PropertyDetail.aspx" frameborder="no"></iframe>
										</iewc:PageView>
										<iewc:PageView>
												Property Importer/Exporter
											</iewc:PageView>
										<iewc:PageView>
											<iframe id="TemplateManagerPanel" src="TemplateManager.aspx" frameborder="no"></iframe>
											</iewc:PageView>
									</iewc:multipage></td>
							</tr>
							<tr valign="bottom" height="75">
								<td><iframe id="PropertyActionPanel" src="Empty.aspx" frameborder="no"></iframe>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td id="AppFooter" colspan="2"><iframe id="FooterPanel" src="footer.aspx" frameborder="no"></iframe>
					</td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
