<%@ Page language="c#" Codebehind="PropertyDetail.aspx.cs" AutoEventWireup="false" Inherits="IIS_CmsExtensionAdmin.PropertyDetail" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<HTML>
	<HEAD>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel="stylesheet" href="master.css">
	</HEAD>
	<body class="body-CmsObjectPropertyPanel" ms_positioning="FlowLayout">
		<form id="PropertyDetailForm" method="post" runat="server">
			<asp:DataGrid id="CustomPropertyDataGrid" runat="server" bordercolor="#999999" borderstyle="None"
				borderwidth="1px" backcolor="White" cellpadding="2" showfooter="True" autogeneratecolumns="False"
				width="100%">
				<FooterStyle forecolor="Black" backcolor="#CCCCCC"></FooterStyle>
				<SelectedItemStyle font-bold="True" forecolor="White" backcolor="#008A8C"></SelectedItemStyle>
				<AlternatingItemStyle backcolor="Gainsboro"></AlternatingItemStyle>
				<ItemStyle forecolor="Black" backcolor="#EEEEEE"></ItemStyle>
				<HeaderStyle font-bold="True" cssclass="colheading" forecolor="WhiteSmoke"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn headertext="Property Key">
						<ItemTemplate>
							<asp:Literal id="PropertyKeyLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
							</asp:Literal>
						</ItemTemplate>
						<FooterTemplate>
							<asp:TextBox id="NewPropertyKeyTextBox" runat="server" width="100%" cssclass="textbox"></asp:TextBox>
						</FooterTemplate>
						<EditItemTemplate>
							<asp:TextBox id="PropertyKeyTextBox" runat="server" width="100%" cssclass="textbox" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
							</asp:TextBox>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn headertext="Property Value">
						<ItemTemplate>
							<asp:Literal id="PropertyValueLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
							</asp:Literal>
						</ItemTemplate>
						<FooterTemplate>
							<asp:TextBox id="NewPropertyValueTextBox" runat="server" width="100%" cssclass="textbox"></asp:TextBox>
						</FooterTemplate>
						<EditItemTemplate>
							<asp:TextBox id="PropertyValueTextBox" runat="server" width="100%" cssclass="textbox" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
							</asp:TextBox>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<ItemStyle width="110" wrap="False" horizontalalign="Center"></ItemStyle>
						<ItemTemplate>
							<asp:LinkButton id="EditButton" runat="server" text="edit" commandname="edit" commandargument='<%# DataBinder.Eval(Container, "ItemIndex") %>' cssclass="button-link button-link-small" />
							<asp:LinkButton id="DeleteButton" runat="server" text="delete" commandname="delete" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' cssclass="button-link button-link-small" />
						</ItemTemplate>
						<FooterTemplate>
							<div align="center">
								<asp:LinkButton id="AddButton" runat="server" text="add" commandname="add" cssclass="button-link button-link-small" /></div>
						</FooterTemplate>
						<EditItemTemplate>
							<asp:LinkButton id="UpdateButton" runat="server" text="update" commandname="update" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' cssclass="button-link button-link-small" />
							<asp:LinkButton id="CancelButton" runat="server" text="cancel" commandname="cancel" cssclass="button-link button-link-small" />
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
				<PagerStyle horizontalalign="Center" forecolor="Black" backcolor="#999999" mode="NumericPages"></PagerStyle>
			</asp:DataGrid>
					</form>
	</body>
</HTML>
