/*
	Retrives a specific custom property by the asset guid
*/
CREATE PROCEDURE cpdbex_selCustomProperty_byAssetID
(
	@ID				uniqueidentifier
)
AS

SELECT ID, AssetType, AssetID, PropertyKey, PropertyValue
	FROM cpdbex_CustomProperty
	WHERE AssetID = @ID
	ORDER BY AssetType, AssetID, PropertyKey, PropertyValue
GO