/*
	Retrives custom properties by the key
*/
CREATE PROCEDURE cpdbex_selCustomProperty_byPropertyKey
(
	@propertyKey		varchar(8000)
)
AS

SELECT ID, AssetType, AssetID, PropertyKey, PropertyValue
	FROM cpdbex_CustomProperty
	WHERE PropertyKey LIKE @propertyKey
	ORDER BY AssetType, AssetID, PropertyKey, PropertyValue
GO