<%@ Page language="c#" Codebehind="PropertyEditor.aspx.cs" AutoEventWireup="false" Inherits="IIS_CmsExtensionAdmin.PropertyEditor" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<HTML>
	<HEAD>
		<title>PropertyEditor</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<style type="text/css"> UNKNOWN { FONT-FAMILY: verdana } TD { FONT-SIZE: 10pt } .form-button-small { FONT-SIZE: 8pt; WIDTH: 75px } </style>
	</HEAD>
	<body ms_positioning="FlowLayout">
		<form id="PropertyEditorForm" method="post" runat="server">
			<div id="CmsObjectInformation">
				<h2>Cms Object Information:</h2>
				<table>
					<tr>
						<td>CmsObject Type:</td>
						<td><asp:Literal id="CmsObjectTypeLiteral" runat="server" /></td>
					</tr>
					<tr>
						<td>Name:</td>
						<td><asp:Literal id="CmsObjectNameLiteral" runat="server" /></td>
					</tr>
					<tr>
						<td>Display Name:</td>
						<td><asp:Literal id="CmsObjectDisplayNameLiteral" runat="server" /></td>
					</tr>
					<tr>
						<td>Full path:</td>
						<td><asp:Literal id="CmsObjectFullPathLiteral" runat="server" /></td>
					</tr>
				</table>
			</div>
			<div id="PropertyList">
				<h3>Add New Property:</h3>
				<table>
					<tr>
						<td><b>Property Key:</b></td>
						<td><asp:TextBox id="NewKeyTextBox" runat="server" /></td>
					</tr>
					<tr>
						<td><b>Property Value:</b></td>
						<td><asp:TextBox id="NewValueTextBox" runat="server" /></td>
					</tr>
					<tr>
						<td colspan="2" align="center"><asp:Button id="NewButton" runat="server" text="add property" /></td>
					</tr>
				</table>
			</div>
			<div id="PropertyList">
				<h3>Properties:</h3>
				<asp:datagrid id="CustomPropertyDataGrid" runat="server" gridlines="None" cellpadding="3" backcolor="White"
					cellspacing="1" borderwidth="1px" borderstyle="Ridge" bordercolor="White" autogeneratecolumns="False">
					<FooterStyle forecolor="Black" backcolor="#C6C3C6"></FooterStyle>
					<SelectedItemStyle font-bold="True" forecolor="White" backcolor="#9471DE"></SelectedItemStyle>
					<ItemStyle forecolor="Black" backcolor="#DEDFDE"></ItemStyle>
					<HeaderStyle font-bold="True" forecolor="#E7E7FF" backcolor="#4A3C8C"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn headertext="Property Key">
							<ItemStyle horizontalalign="Left" verticalalign="Middle"></ItemStyle>
							<ItemTemplate>
								<asp:Literal id="PropertyKeyLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
								</asp:Literal>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:TextBox id="PropertyKeyTextBox" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
								</asp:TextBox>
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn headertext="Property Value">
							<ItemStyle horizontalalign="Left" verticalalign="Middle"></ItemStyle>
							<ItemTemplate>
								<asp:Literal id="PropertyValueLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
								</asp:Literal>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:TextBox id="PropertyValueTextBox" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
								</asp:TextBox>
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<ItemStyle horizontalalign="Center" width="85"></ItemStyle>
							<ItemTemplate>
								<asp:Button id="EditPropertyButton" runat="server" commandname="Edit" commandargument='<%# DataBinder.Eval(Container, "ItemIndex") %>' text="Edit" cssclass="form-button-small">
								</asp:Button>
								<asp:Button id="DeletePropertyButton" runat="server" commandname="Delete" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' text="Delete" cssclass="form-button-small">
								</asp:Button>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:Button id="UpdatePropertyButton" runat="server" commandname="Update" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' text="Update" cssclass="form-button-small">
								</asp:Button>
								<asp:Button id="CancelPropertyButton" runat="server" commandname="Cancel" text="Cancel" cssclass="form-button-small"></asp:Button>
							</EditItemTemplate>
						</asp:TemplateColumn>
					</Columns>
				</asp:datagrid>
			</div>
			<hr>
			<div id="Utilities">
				<h3>Copy Properties From Existing Channel</h3>
				<asp:DropDownList id="ExistingChannels" runat="server"></asp:DropDownList>
				<asp:CheckBox id="IncludeData" runat="server" text="Include Data" />
			</div>
		</form>
	</body>
</HTML>
