<%@ Page language="c#" Codebehind="TemplateManager.aspx.cs" AutoEventWireup="false" Inherits="IIS_CmsExtensionAdmin.TemplateManager" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<HTML>
	<HEAD>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetschema">
		<LINK href="master.css" rel="stylesheet">
		<script language="javascript">
			function SetTemplateName(){
				document.forms[0].TemplateNamePlaceholderTextBox.value = prompt("Please enter a name for the template:","");
				return true;
			}
		</script>
	</HEAD>
	<body class="body-TemplateManagerPanel" ms_positioning="FlowLayout">
		<form id="TemplateManagerForm" method="post" runat="server">
			<div style="display:none"><asp:TextBox id="TemplateNamePlaceholderTextBox" name="TemplateNamePlaceholderTextBox" runat="server" /></div>
			<table cellspacing="2" cellpadding="2" border="0" width="100%">
				<tr>
					<td><strong>Template:&nbsp;</strong><asp:dropdownlist id="TemplateDropDownList" runat="server" autopostback="True"></asp:dropdownlist></td>
					<td><asp:LinkButton id="NewTemplateLinkButton" runat="server">&raquo; Create new template</asp:LinkButton><br>
						<asp:LinkButton id="DeleteTemplateLinkButton" runat="server">&raquo; Delete selected template</asp:LinkButton><br>
						<asp:LinkButton id="RenameTemplateLinkButton" runat="server">&raquo; Rename selected template</asp:LinkButton></td>
				</tr>
				<tr>
					<td colspan="2">
						<p>&nbsp;</p>
					</td>
				</tr>
				<tr>
					<td colspan="2"><asp:datagrid id="TemplatePropertyGrid" runat="server" autogeneratecolumns="False" showfooter="True"
							gridlines="Vertical" cellpadding="3" backcolor="White" borderwidth="1px" borderstyle="None" bordercolor="#999999"
							width="100%">
							<FooterStyle forecolor="Black" backcolor="#CCCCCC"></FooterStyle>
							<SelectedItemStyle font-bold="True" forecolor="White" backcolor="#008A8C"></SelectedItemStyle>
							<AlternatingItemStyle backcolor="#DCDCDC"></AlternatingItemStyle>
							<ItemStyle forecolor="Black" backcolor="#EEEEEE"></ItemStyle>
							<HeaderStyle font-bold="True" cssclass="colheading" forecolor="WhiteSmoke"></HeaderStyle>
							<Columns>
								<asp:TemplateColumn headertext="Property Key">
									<ItemTemplate>
										<asp:Literal id="PropertyKeyLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
										</asp:Literal>
									</ItemTemplate>
									<FooterTemplate>
										<asp:TextBox id="NewPropertyKeyTextBox" runat="server"></asp:TextBox>
									</FooterTemplate>
									<EditItemTemplate>
										<asp:TextBox id="PropertyKeyTextBox" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'>
										</asp:TextBox>
									</EditItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn headertext="Property Value">
									<ItemTemplate>
										<asp:Literal id="PropertyValueLiteral" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
										</asp:Literal>
									</ItemTemplate>
									<FooterTemplate>
										<asp:TextBox id="NewPropertyValueTextBox" runat="server" width="100%"></asp:TextBox>
									</FooterTemplate>
									<EditItemTemplate>
										<asp:TextBox id="PropertyValueTextBox" runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'>
										</asp:TextBox>
									</EditItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn>
									<ItemStyle width="110" wrap="False" horizontalalign="Center"></ItemStyle>
									<ItemTemplate>
										<asp:LinkButton id="EditLinkButton" runat="server" commandname="edit" commandargument='<%# DataBinder.Eval(Container, "ItemIndex") %>' cssclass="button-link button-link-small">edit</asp:LinkButton>
										<asp:LinkButton id="DeleteLinkButton" runat="server" commandname="delete" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' cssclass="button-link button-link-small">delete</asp:LinkButton>
									</ItemTemplate>
									<EditItemTemplate>
										<asp:LinkButton id="UpdateLinkButton" runat="server" commandname="update" commandargument='<%# DataBinder.Eval(Container, "DataItem.Guid") %>' cssclass="button-link button-link-small">update</asp:LinkButton>
										<asp:LinkButton id="CancelLinkButton" runat="server" commandname="cancel" cssclass="button-link button-link-small">cancel</asp:LinkButton>
									</EditItemTemplate>
									<FooterTemplate>
										<asp:LinkButton id="AddPropertyLinkButton" runat="server" commandname="add" cssclass="button-link button-link-small">add</asp:LinkButton>
									</FooterTemplate>
								</asp:TemplateColumn>
							</Columns>
							<PagerStyle horizontalalign="Center" forecolor="Black" backcolor="#999999" mode="NumericPages"></PagerStyle>
						</asp:datagrid></td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
