/*
	Retrives a custom properties by the asset type, key, and value
*/
CREATE PROCEDURE cpdbex_selCustomProperty_byAtPkPv
(
	@assetType				varchar(15),
	@propertyKey			varchar(250),
	@propertyValue		varchar(8000)
)
AS

SELECT ID, AssetType, AssetID, PropertyKey, PropertyValue
	FROM cpdbex_CustomProperty
	WHERE AssetType LIKE @assetType
		AND PropertyKey LIKE @propertyKey
		AND PropertyValue LIKE @propertyValue
	ORDER BY AssetType, AssetID, PropertyKey, PropertyValue
GO
