/*
	Retrives custom properties by the value
*/
CREATE PROCEDURE cpdbex_selCustomProperty_byPropertyValue
(
	@propertyValue		varchar(8000)
)
AS

SELECT ID, AssetType, AssetID, PropertyKey, PropertyValue
	FROM cpdbex_CustomProperty
	WHERE PropertyValue LIKE @propertyValue
	ORDER BY AssetType, AssetID, PropertyKey, PropertyValue
GO