/*
	Updates existing property record
*/
CREATE PROCEDURE cpdbex_updCustomProperty
(
	@ID							uniqueidentifier,
	@assetType			varchar(15),
	@assetID				uniqueidentifier,
	@propertyKey		varchar(250),
	@propertyValue	varchar(8000) = null
)
AS

UPDATE cpdbex_CustomProperty SET
	AssetType = @assetType,
	AssetID		= @assetID,
	PropertyKey	= @propertyKey,
	PropertyValue	= @propertyValue
	WHERE ID = @ID

GO