#region Namespace references
using System;
#endregion

namespace ContentManagement.Extensions
{
	/// <summary>
	/// Various asset types of custom properties.
	/// </summary>
	public enum CustomPropertyDbExAssetType
	{
		/// <summary>
		/// MCMS Channel asset.
		/// </summary>
		Channel,
		/// <summary>
		/// MCMS Posting asset.
		/// </summary>
		Posting,
		/// <summary>
		/// Misc property... for custom use.
		/// </summary>
		Other,
		/// <summary>
		/// MCMS Resource asset.
		/// </summary>
		Resource,
		/// <summary>
		/// Property will apply to the entire site.
		/// </summary>
		Site,
		/// <summary>
		/// MCMS Template asset.
		/// </summary>
		Template
	}
}