#region Namespace references
/// Microsoft .NET Framework namespaces
using System;
#endregion

namespace IIS_CmsExtensionAdmin
{
	/// <summary>
	/// Summary description for TreeNodeEx.
	/// </summary>
	public class TreeNodeEx : Microsoft.Web.UI.WebControls.TreeNode
	{
		#region Objects
		private Guid		m_guid;
		private bool		m_hasProperties = false;
		#endregion

		#region Public properties
		/// <summary>
		/// Unique ID of the Cms object.
		/// </summary>
		public Guid CmsObjectGuid
		{
			get{return this.m_guid;}
			set{this.m_guid = value;}
		}


		/// <summary>
		/// Flag indicating if the treenode should show properties when clicked or
		/// just act like a regular node & expand/collapse.
		/// </summary>
		public bool HasProperties
		{
			get{return this.m_hasProperties;}
			set{this.m_hasProperties = value;}
		}
		#endregion
	}
}